Package org.apache.storm.scheduler.blacklist.strategies

# Class RasBlacklistStrategy

java.lang.Object
org.apache.storm.scheduler.blacklist.strategies.DefaultBlacklistStrategy
org.apache.storm.scheduler.blacklist.strategies.RasBlacklistStrategy

All Implemented Interfaces:
  `IBlacklistStrategy`

public class RasBlacklistStrategy extends DefaultBlacklistStrategy
Blacklisting strategy just like the default one, but specifically setup for use with the resource aware scheduler.

- ## Field Summary

  ### Fields inherited from class org.apache.storm.scheduler.blacklist.strategies.DefaultBlacklistStrategy

  `DEFAULT_BLACKLIST_SCHEDULER_RESUME_TIME, DEFAULT_BLACKLIST_SCHEDULER_TOLERANCE_COUNT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RasBlacklistStrategy()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Set<String>`
  `releaseBlacklistWhenNeeded(Cluster cluster, List<String> blacklistedNodeIds)`
  Decide when/if to release blacklisted hosts.

  ### Methods inherited from class org.apache.storm.scheduler.blacklist.strategies.DefaultBlacklistStrategy

  `createHostToSupervisorMap, getBlacklist, prepare, resumeFromBlacklist`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RasBlacklistStrategy

    public RasBlacklistStrategy()

- ## Method Details

  - ### releaseBlacklistWhenNeeded

    protected Set<String> releaseBlacklistWhenNeeded(Cluster cluster, List<String> blacklistedNodeIds)
    Description copied from class: `DefaultBlacklistStrategy`
    Decide when/if to release blacklisted hosts.
    Overrides:
      `releaseBlacklistWhenNeeded` in class `DefaultBlacklistStrategy`
    Parameters:
      `cluster` - the current state of the cluster.
      `blacklistedNodeIds` - the current set of blacklisted node ids sorted by earliest
    Returns:
      the set of nodes to be released.